> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction information

> Returns transaction info by client_request_id



## OpenAPI

````yaml get /consumers/{consumer_id}/connections/{connection_id}/transactions
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/connections/{connection_id}/transactions:
    get:
      tags:
        - Connections
      summary: Get transaction information
      description: Returns transaction info by client_request_id
      operationId: >-
        get_transaction_by_client_request_id_consumers__consumer_id__connections__connection_id__transactions_get
      parameters:
        - name: connection_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Connection Id
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: client_request_id
          in: query
          required: true
          schema:
            type: string
            title: Client Request Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiTransactionLookupOut'
        '404':
          content:
            application/json:
              example:
                message: The specified transaction could not be found
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - connections
            - connections.read
components:
  schemas:
    ApiTransactionLookupOut:
      properties:
        created_on:
          type: string
          format: date-time
          title: Created On
          description: Date and time when the API transaction started (UTC).
          examples:
            - '2024-05-15T12:34:56Z'
        method:
          $ref: '#/components/schemas/HTTPMethod'
          description: HTTP method of the original request.
          examples:
            - POST
        route:
          type: string
          title: Route
          description: Path of the original request.
          examples:
            - >-
              /consumers/a65f95f4-7188-4866-a3ff-eb0fe17958c3/accounting/suppliers
        status_code:
          type: integer
          title: Status Code
          description: HTTP status code returned by the original request.
          examples:
            - 200
        created_entity_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Created Entity Id
          description: >-
            Identifier of the entity created by the request, when applicable
            (typically for POST).
          examples:
            - inv_123
      type: object
      required:
        - created_on
        - method
        - route
        - status_code
      title: ApiTransactionLookupOut
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    HTTPMethod:
      type: string
      enum:
        - GET
        - POST
        - PUT
        - PATCH
        - DELETE
        - HEAD
        - OPTIONS
      title: HTTPMethod
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````